diff --git a/net/akonadi-calendar/distinfo b/net/akonadi-calendar/distinfo
index d7d6e6b7c255..41d43b0372da 100644
--- a/net/akonadi-calendar/distinfo
+++ b/net/akonadi-calendar/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889478
-SHA256 (KDE/release-service/23.08.5/akonadi-calendar-23.08.5.tar.xz) = cf8da9409412ed3348ee4a8ab9e2df8ecf844070f84c8cdbf0b6f4c8269339ca
-SIZE (KDE/release-service/23.08.5/akonadi-calendar-23.08.5.tar.xz) = 476140
+TIMESTAMP = 1734460287
+SHA256 (KDE/release-service/24.12.0/akonadi-calendar-24.12.0.tar.xz) = dfa4d60162bc3672ff3a76745f727e87b7a5e089be6b79f399b0df23970eba69
+SIZE (KDE/release-service/24.12.0/akonadi-calendar-24.12.0.tar.xz) = 524592
diff --git a/net/akonadi-calendar/pkg-plist b/net/akonadi-calendar/pkg-plist
index 7bd1712986a8..f1285038f711 100644
--- a/net/akonadi-calendar/pkg-plist
+++ b/net/akonadi-calendar/pkg-plist
@@ -1,199 +1,214 @@
 bin/kalendarac
 etc/xdg/autostart/org.kde.kalendarac.desktop
-include/KPim5/AkonadiCalendar/Akonadi/BlockAlarmsAttribute
-include/KPim5/AkonadiCalendar/Akonadi/CalendarBase
-include/KPim5/AkonadiCalendar/Akonadi/CalendarClipboard
-include/KPim5/AkonadiCalendar/Akonadi/CalendarUtils
-include/KPim5/AkonadiCalendar/Akonadi/ETMCalendar
-include/KPim5/AkonadiCalendar/Akonadi/FetchJobCalendar
-include/KPim5/AkonadiCalendar/Akonadi/FreeBusyManager
-include/KPim5/AkonadiCalendar/Akonadi/FreeBusyProviderBase
-include/KPim5/AkonadiCalendar/Akonadi/History
-include/KPim5/AkonadiCalendar/Akonadi/ICalImporter
-include/KPim5/AkonadiCalendar/Akonadi/ITIPHandler
-include/KPim5/AkonadiCalendar/Akonadi/IncidenceChanger
-include/KPim5/AkonadiCalendar/Akonadi/IncidenceTreeModel
-include/KPim5/AkonadiCalendar/Akonadi/PublishDialog
-include/KPim5/AkonadiCalendar/Akonadi/SearchCollectionHelper
-include/KPim5/AkonadiCalendar/Akonadi/StandardCalendarActionManager
-include/KPim5/AkonadiCalendar/Akonadi/TodoModel
-include/KPim5/AkonadiCalendar/Akonadi/TodoPurger
-include/KPim5/AkonadiCalendar/akonadi-calendar_version.h
-include/KPim5/AkonadiCalendar/akonadi/akonadi-calendar_export.h
-include/KPim5/AkonadiCalendar/akonadi/blockalarmsattribute.h
-include/KPim5/AkonadiCalendar/akonadi/calendarbase.h
-include/KPim5/AkonadiCalendar/akonadi/calendarclipboard.h
-include/KPim5/AkonadiCalendar/akonadi/calendarsettings.h
-include/KPim5/AkonadiCalendar/akonadi/calendarutils.h
-include/KPim5/AkonadiCalendar/akonadi/etmcalendar.h
-include/KPim5/AkonadiCalendar/akonadi/fetchjobcalendar.h
-include/KPim5/AkonadiCalendar/akonadi/freebusymanager.h
-include/KPim5/AkonadiCalendar/akonadi/freebusyproviderbase.h
-include/KPim5/AkonadiCalendar/akonadi/history.h
-include/KPim5/AkonadiCalendar/akonadi/icalimporter.h
-include/KPim5/AkonadiCalendar/akonadi/incidencechanger.h
-include/KPim5/AkonadiCalendar/akonadi/incidencetreemodel.h
-include/KPim5/AkonadiCalendar/akonadi/itiphandler.h
-include/KPim5/AkonadiCalendar/akonadi/publishdialog.h
-include/KPim5/AkonadiCalendar/akonadi/searchcollectionhelper.h
-include/KPim5/AkonadiCalendar/akonadi/standardcalendaractionmanager.h
-include/KPim5/AkonadiCalendar/akonadi/todomodel.h
-include/KPim5/AkonadiCalendar/akonadi/todopurger.h
-lib/cmake/KF5AkonadiCalendar/KF5AkonadiCalendarConfig.cmake
-lib/cmake/KF5AkonadiCalendar/KF5AkonadiCalendarConfigVersion.cmake
-lib/cmake/KF5AkonadiCalendar/KPim5AkonadiCalendarTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5AkonadiCalendar/KPim5AkonadiCalendarTargets.cmake
-lib/cmake/KPim5AkonadiCalendar/KPim5AkonadiCalendarConfig.cmake
-lib/cmake/KPim5AkonadiCalendar/KPim5AkonadiCalendarConfigVersion.cmake
-lib/cmake/KPim5AkonadiCalendar/KPim5AkonadiCalendarTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5AkonadiCalendar/KPim5AkonadiCalendarTargets.cmake
-lib/libKPim5AkonadiCalendar.so
-lib/libKPim5AkonadiCalendar.so.5
-lib/libKPim5AkonadiCalendar.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_AkonadiCalendar.pri
+include/KPim6/AkonadiCalendar/Akonadi/BlockAlarmsAttribute
+include/KPim6/AkonadiCalendar/Akonadi/CalFilterPartStatusProxyModel
+include/KPim6/AkonadiCalendar/Akonadi/CalFilterProxyModel
+include/KPim6/AkonadiCalendar/Akonadi/CalendarBase
+include/KPim6/AkonadiCalendar/Akonadi/CalendarClipboard
+include/KPim6/AkonadiCalendar/Akonadi/CalendarUtils
+include/KPim6/AkonadiCalendar/Akonadi/CollectionCalendar
+include/KPim6/AkonadiCalendar/Akonadi/ETMCalendar
+include/KPim6/AkonadiCalendar/Akonadi/FetchJobCalendar
+include/KPim6/AkonadiCalendar/Akonadi/FreeBusyManager
+include/KPim6/AkonadiCalendar/Akonadi/FreeBusyProviderBase
+include/KPim6/AkonadiCalendar/Akonadi/History
+include/KPim6/AkonadiCalendar/Akonadi/ICalImporter
+include/KPim6/AkonadiCalendar/Akonadi/ITIPHandler
+include/KPim6/AkonadiCalendar/Akonadi/IncidenceChanger
+include/KPim6/AkonadiCalendar/Akonadi/IncidenceTreeModel
+include/KPim6/AkonadiCalendar/Akonadi/PublishDialog
+include/KPim6/AkonadiCalendar/Akonadi/SearchCollectionHelper
+include/KPim6/AkonadiCalendar/Akonadi/StandardCalendarActionManager
+include/KPim6/AkonadiCalendar/Akonadi/TodoModel
+include/KPim6/AkonadiCalendar/Akonadi/TodoPurger
+include/KPim6/AkonadiCalendar/akonadi-calendar_version.h
+include/KPim6/AkonadiCalendar/akonadi/akonadi-calendar_export.h
+include/KPim6/AkonadiCalendar/akonadi/blockalarmsattribute.h
+include/KPim6/AkonadiCalendar/akonadi/calendarbase.h
+include/KPim6/AkonadiCalendar/akonadi/calendarclipboard.h
+include/KPim6/AkonadiCalendar/akonadi/calendarsettings.h
+include/KPim6/AkonadiCalendar/akonadi/calendarutils.h
+include/KPim6/AkonadiCalendar/akonadi/calfilterpartstatusproxymodel.h
+include/KPim6/AkonadiCalendar/akonadi/calfilterproxymodel.h
+include/KPim6/AkonadiCalendar/akonadi/collectioncalendar.h
+include/KPim6/AkonadiCalendar/akonadi/etmcalendar.h
+include/KPim6/AkonadiCalendar/akonadi/fetchjobcalendar.h
+include/KPim6/AkonadiCalendar/akonadi/freebusymanager.h
+include/KPim6/AkonadiCalendar/akonadi/freebusyproviderbase.h
+include/KPim6/AkonadiCalendar/akonadi/history.h
+include/KPim6/AkonadiCalendar/akonadi/icalimporter.h
+include/KPim6/AkonadiCalendar/akonadi/incidencechanger.h
+include/KPim6/AkonadiCalendar/akonadi/incidencetreemodel.h
+include/KPim6/AkonadiCalendar/akonadi/itiphandler.h
+include/KPim6/AkonadiCalendar/akonadi/publishdialog.h
+include/KPim6/AkonadiCalendar/akonadi/searchcollectionhelper.h
+include/KPim6/AkonadiCalendar/akonadi/standardcalendaractionmanager.h
+include/KPim6/AkonadiCalendar/akonadi/todomodel.h
+include/KPim6/AkonadiCalendar/akonadi/todopurger.h
+lib/cmake/KPim6AkonadiCalendar/KPim6AkonadiCalendarConfig.cmake
+lib/cmake/KPim6AkonadiCalendar/KPim6AkonadiCalendarConfigVersion.cmake
+lib/cmake/KPim6AkonadiCalendar/KPim6AkonadiCalendarTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6AkonadiCalendar/KPim6AkonadiCalendarTargets.cmake
+lib/libKPim6AkonadiCalendar.so
+lib/libKPim6AkonadiCalendar.so.6
+lib/libKPim6AkonadiCalendar.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/akonadi_serializer_kcalcore.so
-%%QT_PLUGINDIR%%/kf5/org.kde.kcalendarcore.calendars/libakonadicalendarplugin.so
+%%QT_PLUGINDIR%%/kf6/org.kde.kcalendarcore.calendars/libakonadicalendarplugin.so
 share/akonadi/plugins/serializer/akonadi_serializer_kcalcore.desktop
 share/dbus-1/services/org.kde.kalendarac.service
-share/knotifications5/kalendarac.notifyrc
+share/knotifications6/kalendarac.notifyrc
 share/locale/ar/LC_MESSAGES/kalendarac.mo
-share/locale/ar/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ar/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ar/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ar/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/ast/LC_MESSAGES/kalendarac.mo
+share/locale/ast/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ast/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/az/LC_MESSAGES/kalendarac.mo
-share/locale/az/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/az/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/az/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/az/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/bg/LC_MESSAGES/kalendarac.mo
-share/locale/bg/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/bg/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/bs/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/bs/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/bg/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/bg/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/bs/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/bs/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ca/LC_MESSAGES/kalendarac.mo
-share/locale/ca/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ca/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ca/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ca/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ca@valencia/LC_MESSAGES/kalendarac.mo
-share/locale/ca@valencia/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ca@valencia/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ca@valencia/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ca@valencia/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/cs/LC_MESSAGES/kalendarac.mo
-share/locale/cs/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/cs/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/da/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/da/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/cs/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/cs/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/da/LC_MESSAGES/kalendarac.mo
+share/locale/da/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/da/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/de/LC_MESSAGES/kalendarac.mo
-share/locale/de/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/de/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/de/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/de/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/el/LC_MESSAGES/kalendarac.mo
-share/locale/el/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/el/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/el/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/el/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/en_GB/LC_MESSAGES/kalendarac.mo
-share/locale/en_GB/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/en_GB/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/en_GB/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/en_GB/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/eo/LC_MESSAGES/kalendarac.mo
+share/locale/eo/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/eo/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/es/LC_MESSAGES/kalendarac.mo
-share/locale/es/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/es/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/et/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/et/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/es/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/es/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/et/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/et/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/eu/LC_MESSAGES/kalendarac.mo
-share/locale/eu/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/eu/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/eu/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/eu/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/fi/LC_MESSAGES/kalendarac.mo
-share/locale/fi/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/fi/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/fi/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/fi/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/fr/LC_MESSAGES/kalendarac.mo
-share/locale/fr/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/fr/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/ga/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ga/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/fr/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/fr/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/ga/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ga/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/gl/LC_MESSAGES/kalendarac.mo
-share/locale/gl/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/gl/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/gl/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/gl/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/he/LC_MESSAGES/kalendarac.mo
+share/locale/he/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/he/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/hu/LC_MESSAGES/kalendarac.mo
-share/locale/hu/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/hu/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/hu/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/hu/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ia/LC_MESSAGES/kalendarac.mo
-share/locale/ia/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ia/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ia/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ia/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/id/LC_MESSAGES/kalendarac.mo
-share/locale/id/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/id/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/id/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/id/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/is/LC_MESSAGES/kalendarac.mo
+share/locale/is/LC_MESSAGES/libakonadi-calendar6-serializer.mo
 share/locale/it/LC_MESSAGES/kalendarac.mo
-share/locale/it/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/it/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/it/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/it/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ja/LC_MESSAGES/kalendarac.mo
-share/locale/ja/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ja/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ja/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ja/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ka/LC_MESSAGES/kalendarac.mo
-share/locale/ka/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ka/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/kk/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/kk/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/km/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/km/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ka/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ka/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/kk/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/kk/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/km/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/km/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ko/LC_MESSAGES/kalendarac.mo
-share/locale/ko/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ko/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ko/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ko/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/lt/LC_MESSAGES/kalendarac.mo
-share/locale/lt/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/lt/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/lv/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/mai/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/mr/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/mr/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/nb/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/nb/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/nds/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/nds/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/lt/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/lt/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/lv/LC_MESSAGES/kalendarac.mo
+share/locale/lv/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/lv/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/mai/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/mr/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/mr/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/nb/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/nb/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/nds/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/nds/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/nl/LC_MESSAGES/kalendarac.mo
-share/locale/nl/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/nl/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/pa/LC_MESSAGES/libakonadi-calendar5-serializer.mo
+share/locale/nl/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/nl/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/pa/LC_MESSAGES/libakonadi-calendar6-serializer.mo
 share/locale/pl/LC_MESSAGES/kalendarac.mo
-share/locale/pl/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/pl/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/pl/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/pl/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/pt/LC_MESSAGES/kalendarac.mo
-share/locale/pt/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/pt/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/pt/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/pt/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/pt_BR/LC_MESSAGES/kalendarac.mo
-share/locale/pt_BR/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/pt_BR/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/ro/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ro/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/pt_BR/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/pt_BR/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/ro/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ro/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ru/LC_MESSAGES/kalendarac.mo
-share/locale/ru/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ru/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ru/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ru/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/sk/LC_MESSAGES/kalendarac.mo
-share/locale/sk/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sk/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/sk/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sk/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/sl/LC_MESSAGES/kalendarac.mo
-share/locale/sl/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sl/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/sr/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sr/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/sr@latin/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sr@latin/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/sl/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sl/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/sr/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sr/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/sr@latin/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sr@latin/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/sv/LC_MESSAGES/kalendarac.mo
-share/locale/sv/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/sv/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/sv/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/sv/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/ta/LC_MESSAGES/kalendarac.mo
-share/locale/ta/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ta/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/ta/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ta/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/tr/LC_MESSAGES/kalendarac.mo
-share/locale/tr/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/tr/LC_MESSAGES/libakonadi-calendar5.mo
-share/locale/ug/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/ug/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/tr/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/tr/LC_MESSAGES/libakonadi-calendar6.mo
+share/locale/ug/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/ug/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/uk/LC_MESSAGES/kalendarac.mo
-share/locale/uk/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/uk/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/uk/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/uk/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/zh_CN/LC_MESSAGES/kalendarac.mo
-share/locale/zh_CN/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/zh_CN/LC_MESSAGES/libakonadi-calendar5.mo
+share/locale/zh_CN/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/zh_CN/LC_MESSAGES/libakonadi-calendar6.mo
 share/locale/zh_TW/LC_MESSAGES/kalendarac.mo
-share/locale/zh_TW/LC_MESSAGES/libakonadi-calendar5-serializer.mo
-share/locale/zh_TW/LC_MESSAGES/libakonadi-calendar5.mo
-share/qlogging-categories5/akonadi-calendar.categories
-share/qlogging-categories5/akonadi-calendar.renamecategories
-share/qlogging-categories5/org_kde_kalendarac.categories
+share/locale/zh_TW/LC_MESSAGES/libakonadi-calendar6-serializer.mo
+share/locale/zh_TW/LC_MESSAGES/libakonadi-calendar6.mo
+share/qlogging-categories6/akonadi-calendar.categories
+share/qlogging-categories6/akonadi-calendar.renamecategories
+share/qlogging-categories6/org_kde_kalendarac.categories
diff --git a/net/akonadi-contacts/Makefile b/net/akonadi-contacts/Makefile
index 860a1746b9e9..1c53cc0f5661 100644
--- a/net/akonadi-contacts/Makefile
+++ b/net/akonadi-contacts/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	akonadi-contacts
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -12,18 +11,18 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
 		dbusaddons i18n iconthemes itemmodels jobwidgets kcmutils kio \
-		prison service solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		prison service solid sonnet textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadimime calendarcore contacts grantleetheme libkleo mime
-USE_QT=		concurrent core dbus gui network testlib widgets xml \
-		buildtools:build qmake:build
+USE_KDE+=	akonadi akonadimime calendarcore contacts grantleetheme \
+		libkleo mime
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/akonadi-contacts/distinfo b/net/akonadi-contacts/distinfo
index b1a736e8ea5a..a55e59569f3a 100644
--- a/net/akonadi-contacts/distinfo
+++ b/net/akonadi-contacts/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889480
-SHA256 (KDE/release-service/23.08.5/akonadi-contacts-23.08.5.tar.xz) = e7a4b37c6bb4dbdb074398a48050b3ea63b1ffd8b576f3efa9cef56759cf4251
-SIZE (KDE/release-service/23.08.5/akonadi-contacts-23.08.5.tar.xz) = 420904
+TIMESTAMP = 1734460289
+SHA256 (KDE/release-service/24.12.0/akonadi-contacts-24.12.0.tar.xz) = 00f2c765ebeb8c472f20937daff3654e1d755b015f0dbd1af9817920c47f81c9
+SIZE (KDE/release-service/24.12.0/akonadi-contacts-24.12.0.tar.xz) = 436684
